#include <bits/stdc++.h>
using namespace std;

int main()
{
	int N;
	cin >> N;
	int lib[N]={0};
	int libC[N]={0};
	int max=0;
	int temp=0;
	int valC=0;
	for(int i=0;i<N;i++)
	{
		cin >> lib[i];
	}
	for(int j=0;j<N;j++)
	{
		for(int k=0;k<N;k++)
		{
			temp=0;
			swap(lib[j],lib[k]);
			for(int l=0;l<N;l++)
			{
				temp=(temp+lib[l])*10;
				//cout << temp << endl;
			}
			temp=temp/10;
			if(max<temp)
			{
				max=temp;
				for(int m=0;m<N;m++)
				{
					libC[m]=lib[m];
				}
				swap(lib[j],lib[k]);
			}
			else
			{
				swap(lib[j],lib[k]);
			}
		}
	}
	temp=0;
	for(int z=0;z<N;z++)
	{
		temp=(temp+lib[z])*10;
		valC=(valC+libC[z])*10;
		//cout << temp << endl;
	}
	temp=temp/10;
	valC=valC/10;
	if(valC==temp)
	{
		for(int j=0;j<N;j++)
		{
			for(int k=0;k<N;k++)
			{
				temp=0;
				swap(lib[j],lib[k]);
				for(int l=0;l<N;l++)
				{
					temp=(temp+lib[l])*10;
				}
				temp=temp/10;
				if(max>temp)
				{
					max=temp;
					for(int m=0;m<N;m++)
					{
						libC[m]=lib[m];
					}
					swap(lib[j],lib[k]);
				}
				else
				{
					swap(lib[j],lib[k]);
				}
			}
		}
	}
	for(int n=0;n<N;n++)
	{
		cout << libC[n] << " ";
	}
}